from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XDrawPage

@runtime_checkable
class XPresentationPage(XDrawPage, Protocol):
    def getNotesPage(self) -> XDrawPage: ...
